Bug 597615 - SELinux is preventing /usr/bin/xauth access to a leaked /home file descriptor.
SELinux is preventing /usr/bin/xauth access to a leaked /home file descriptor.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:54ce9a5cd39...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 15:41 EDT by robert fairb
Modified: 2010-11-15 08:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 13:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description robert fairb 2010-05-29 15:41:06 EDT
Summary:

SELinux is preventing /usr/bin/xauth access to a leaked /home file descriptor.

Detailed Description:

[xauth has a permissive type (xauth_t). This access was not denied.]

SELinux denied access requested by the xauth command. It looks like this is
either a leaked descriptor or xauth output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /home. You should generate a bugzilla on selinux-policy, and it will get
routed to the appropriate package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:home_root_t:s0
Target Objects                /home [ dir ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           filesystem-2.4.31-1.fc13
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.i686.PAE #1 SMP Thu May 6
                              18:27:11 UTC 2010 i686 i686
Alert Count                   3
First Seen                    Sat 29 May 2010 01:31:55 PM MDT
Last Seen                     Sat 29 May 2010 01:32:13 PM MDT
Local ID                      12478f2b-f518-41d7-9d55-9ee1c281acf9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275161533.181:59): avc:  denied  { read } for  pid=3512 comm="xauth" path="/home" dev=dm-3 ino=655361 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:home_root_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1275161533.181:59): arch=40000003 syscall=11 success=yes exit=0 a0=bf899877 a1=9a1af50 a2=9a0e838 a3=bf89a9c6 items=0 ppid=3489 pid=3512 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=3 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,xauth,xauth_t,home_root_t,dir,read
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t home_root_t:dir read;
Comment 1 Daniel Walsh 2010-06-01 09:37:47 EDT
What command were you running when this happened?

Note You need to log in before you can comment on or make changes to this bug.